import { FirestartrGithubOrgWebhook, FirestartrGithubOrgWebhookProps, FirestartrGithubOrgWebhookSpecWebhookSecretRef } from '../../../imports/firestartr.dev';
import { IUnitializedStateKey } from '../../claims/base';
import { BaseGithubChart } from './base';
export declare class GithubOrgWebhookChart extends BaseGithubChart {
    template(): FirestartrGithubOrgWebhookProps | IUnitializedStateKey;
    renderSecret(secret: string): FirestartrGithubOrgWebhookSpecWebhookSecretRef;
    gvk(): import("cdk8s").GroupVersionKind;
    instanceApiObject(template: any): FirestartrGithubOrgWebhook;
}
